ndspWaveBuf Struct Reference

Wave buffer struct. More...

`#include <ndsp.h>`

## Data Fields

union {
s8 * data_pcm8
| Pointer to PCM8 sample data.
s16 * data_pcm16
| Pointer to PCM16 sample data.
u8 * data_adpcm
| Pointer to DSPADPCM sample data.
const void * data_vaddr
| Data virtual address.
}; |
u32 | nsamples
| Total number of samples (PCM8=bytes, PCM16=halfwords, DSPADPCM=nibbles without frame headers)
ndspAdpcmData * | adpcm_data
| ADPCM data.
u32 | offset
| Buffer offset. Only used for capture.
bool | looping
| Whether to loop the buffer.
u8 | status
| Queuing/playback status.
u16 | sequence_id
| Sequence ID. Assigned automatically by ndspChnWaveBufAdd.
ndspWaveBuf * | next
| Next buffer to play. Used internally, do not modify.

## Detailed Description

Wave buffer struct.

Wave buffer type.

The documentation for this struct was generated from the following file:

- include/3ds/ndsp/ndsp.h